#' @title Strip white space
#' @description Strip white space (spaces only) from the beginning and end of a character.
#' @param x character to strip white space from
#' @return a character with white space stripped
stripWhite <- function(x) {
	sub('([ ]+$)', '', sub("(^[ ]+)", '', x, perl=TRUE), perl=TRUE)
}

#' @title Extract Rd tags
#' @description Extract Rd tags from Rd object
#' @param Rd Object of class \code{Rd}
#' @return character vector with Rd tags
RdTags = function(Rd) {
  res <- sapply(Rd, attr, "Rd_tag")
  if (!length(res)) 
    res <- character()
  res
}

#' @title Make first letter capital
#' @description Capitalize the first letter of every new word. Very simplistic approach.
#' @param x Character string
#' @return character vector with capitalized first letters
simpleCap <- function(x) {
	s <- strsplit(x, " ")[[1]]
	paste(toupper(substring(s, 1,1)), substring(s, 2), sep="", collapse=" ")
}

